Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jbosscommon51
Interface LoaderRepositoryConfigType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  LoaderRepositoryConfigTypeImpl

    public interface LoaderRepositoryConfigType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `loader-repository-configType` xsd type

Original Documentation:

The loader-repository-config element specifies any arbitrary configuration
fragment for use in configuring the loader-repository instance. The actual content of this
element is specific to the loaderRepositoryClass and the code parsing the element.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getConfigParserClass()` Returns the `configParserClass` element
`LoaderRepositoryConfigType<T>` | `removeConfigParserClass()` Removes the `configParserClass` attribute
`LoaderRepositoryConfigType<T>` | `setConfigParserClass(java.lang.String configParserClass)` Sets the `configParserClass` attribute

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setConfigParserClass

    LoaderRepositoryConfigType<T> setConfigParserClass(java.lang.String configParserClass)

  Sets the `configParserClass` attribute

  Parameters:
    `configParserClass` - the value for the attribute `configParserClass`
  Returns:
    the current instance of `LoaderRepositoryConfigType`

### removeConfigParserClass

    LoaderRepositoryConfigType<T> removeConfigParserClass()

  Removes the `configParserClass` attribute

  Returns:
    the current instance of `LoaderRepositoryConfigType`

### getConfigParserClass

    java.lang.String getConfigParserClass()

  Returns the `configParserClass` element

  Returns:
    the node defined for the element `configParserClass`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD